Subject: [apps-discuss] regarding draft-ietf-appsawg-received-state

From: Paul Midgen <[email-masked]>
Date: Sat, 19 May 2012 00:05:56 -0700

Hi all,

I'm writing in support of publication 
ofhttps://datatracker.ietf.org/doc/draft-ietf-appsawg-received-state. 
 From 2009-2012 I was responsible for all inbound email delivery and 
anti-abuse functions at Hotmail, and on numerous occasions was called on 
by internal product and legal folks, external law enforcement, other 
mailbox providers and countless other senders and receivers to figure 
out why an email didn't immediately transit from sender to recipient.

Received headers were a good debugging tool but didn't provide much 
satisfaction in terms of "why", just "where". Adding a state field would 
seem to help that problem if sufficient folks adopted it, so I'd like to 
see a standardized guideline published in support of that.

Regards,
Paul